Subject: [sipcore] Mixing old and new H-I

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 31 Jul 2009 05:15:33 -0400

Howdy,
Someone got up at the mic during the WG meeting and said "mixing old and new H-I will be really confusing and cause problems".  That person (me) wasn't too smart.  It occurred to me as I sat down that this is really just equivalent to if proxies/middleboxes didn't support 4244 or 4244bis period.  

In other words, even if we said "start from scratch" and do a new header-name, the fact is that any middlebox not supporting that new header-name would cause the same type of issues as middleboxes supporting legacy 4244 but not 4244bis.  It's unavoidable.

Mea culpa.

-hadriel